@ECHO off

REM Either run this batch file with the name of the source file to compile to
REM a QuickLibrary, or modify the following line so srcFile is the name of the
REM source file without the .BAS extension.
SET srcFile=%1

REM Where QuickBASIC libraries are located (QB.LIB, BQLB45.LIB)
REM Remember to set your QuickBASIC directory as a fallback directory for
REM missing applications in AUTOEXEC.BAT: "SET PATH=C:\UTILS\QB45E\"
SET qbLibPath=C:\UTILS\QB45E\LIB\

REM If the source file doesn't exist, abort batch
IF NOT EXIST %srcFile%.BAS GOTO batchEnd

REM Delete .LIB file if present
IF NOT EXIST %srcFile%.LIB GOTO noLIB
DEL %srcFile%.LIB
:noLIB

REM Delete .QLB file if present
IF NOT EXIST %srcFile%.QLB GOTO noQLB
DEL %srcFile%.QLB
:noQLB

REM Delete .OBJ file if present
IF NOT EXIST %srcFile%.OBJ GOTO noOBJ
DEL %srcFile%.OBJ
:noOBJ

REM Write ~QBLNK.TMP
ECHO /QU /NOE /NOD:BCOM45.LIB %srcFile%+>~QBLNK.TMP
ECHO %qbLibPath%QB.LIB>>~QBLNK.TMP
ECHO %srcFile%.QLB>>~QBLNK.TMP
ECHO. >>~QBLNK.TMP
ECHO %qbLibPath%BQLB45.LIB>>~QBLNK.TMP
ECHO. >>~QBLNK.TMP

REM Write ~QBLIB.TMP
ECHO %srcFile%.LIB>~QBLIB.TMP
ECHO y>>~QBLIB.TMP
ECHO +%srcFile%&>>~QBLIB.TMP
ECHO +%qbLibPath%QB.LIB>>~QBLIB.TMP
ECHO. >>~QBLIB.TMP
ECHO. >>~QBLIB.TMP

REM Compile library
BC.EXE %srcFile%.BAS/T/C:512;
LINK.EXE @~QBLNK.TMP
LIB.EXE @~QBLIB.TMP

REM Delete temporary response files
DEL ~QBLNK.TMP
DEL ~QBLIB.TMP

:batchEnd